Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.stream
Class StreamingProxy

    java.lang.Object
      org.red5.server.stream.StreamingProxy

All Implemented Interfaces:
  IPendingServiceCallback, IConsumer, IMessageComponent, IPipeConnectionListener, IPushableConsumer, INetStreamEventHandler

    public class StreamingProxy

extends Object
implements IPushableConsumer, IPipeConnectionListener, INetStreamEventHandler, IPendingServiceCallback

A proxy to publish stream from server to server. TODO: Use timer to monitor the connect/stream creation.

Author:
  Steven Gong (steven.gong@gmail.com), Andy Shaules (bowljoman@hotmail.com)

Field Summary
`static String` | `APPEND`
`static String` | `LIVE`
`static String` | `RECORD`

Fields inherited from interface org.red5.server.messaging.IPushableConsumer
`KEY`

Constructor Summary
`StreamingProxy()`

Method Summary
`void` | `init()`
`void` | `onOOBControlMessage(IMessageComponent source, IPipe pipe, OOBControlMessage oobCtrlMsg)`
`void` | `onPipeConnectionEvent(PipeConnectionEvent event)` Pipe connection event handler
`void` | `onStreamEvent(Notify notify)`
`void` | `pushMessage(IPipe pipe, IMessage message)` Pushes message through pipe
`void` | `resultReceived(IPendingServiceCall call)` Triggered when results are recieved
`void` | `setApp(String app)`
`void` | `setHost(String host)`
`void` | `setPort(int port)`
`void` | `start(String publishName, String publishMode, Object[] params)`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LIVE

    public static final String LIVE

See Also:
  Constant Field Values

### RECORD

    public static final String RECORD

See Also:
  Constant Field Values

### APPEND

    public static final String APPEND

See Also:
  Constant Field Values

Constructor Detail

### StreamingProxy

    public StreamingProxy()

Method Detail

### init

    public void init()

### start

    public void start(String publishName,
                      String publishMode,
                      Object[] params)

### stop

    public void stop()

### onPipeConnectionEvent

    public void onPipeConnectionEvent(PipeConnectionEvent event)

  Description copied from interface: `IPipeConnectionListener`
  Pipe connection event handler

  Specified by:
    `onPipeConnectionEvent` in interface `IPipeConnectionListener`
  Parameters:
    `event` - Pipe connection event

### pushMessage

    public void pushMessage(IPipe pipe,
                            IMessage message)
                     throws IOException

  Description copied from interface: `IPushableConsumer`
  Pushes message through pipe

  Specified by:
    `pushMessage` in interface `IPushableConsumer`
  Parameters:
    `pipe` - Pipe
    `message` - Message
  Throws:
    `IOException` - if message could not be written

### onOOBControlMessage

    public void onOOBControlMessage(IMessageComponent source,
                                    IPipe pipe,
                                    OOBControlMessage oobCtrlMsg)

  Specified by:
    `onOOBControlMessage` in interface `IMessageComponent`
  Parameters:
    `source` - Message component source
    `pipe` - Connection pipe TODO
    `oobCtrlMsg` - Out-of-band control message

### setHost

    public void setHost(String host)

### setPort

    public void setPort(int port)

### setApp

    public void setApp(String app)

### onStreamEvent

    public void onStreamEvent(Notify notify)

  Specified by:
    `onStreamEvent` in interface `INetStreamEventHandler`

### resultReceived

    public void resultReceived(IPendingServiceCall call)

  Description copied from interface: `IPendingServiceCallback`
  Triggered when results are recieved

  Specified by:
    `resultReceived` in interface `IPendingServiceCallback`
  Parameters:
    `call` - Call object this callback is applied to

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project